From: Chris Caron <lead2gold@gmail.com>
Date: Wed, 23 Nov 2016 11:23:30 -0500
Subject: Support more then just port http 80
Website: http://nuxref.com

NRDP check script should support any port not just port 80
---

diff -Naur nrdp/clients/send_nrdp.php nrdp.patched/clients/send_nrdp.php
--- nrdp/clients/send_nrdp.php	2016-11-23 11:23:30.877362705 -0500
+++ nrdp.patched/clients/send_nrdp.php	2016-11-23 11:53:45.564890525 -0500
@@ -314,13 +314,23 @@
     //If curl is available, use curl to get the data.
     if(function_exists("curl_init") 
                 and (!(isset($options['use']) and $options['use'] == 'fsocketopen'))) { //Don't user curl if it is specifically stated to user fsocketopen in the options
+        // Default port to use
+        $port = 80;
+        if(isset($options['scheme']) && preg_match("#https#i", $url_parts['scheme']) == 1){
+           // Change it to a secure port
+           $port = 443;
+        }
+        if(isset($url_parts['port']) and is_int($url_parts['port'])){
+           // a port was specified; let's use it instead
+           $port=$url_parts['port'];
+        }
         if(isset($options['method']) and $options['method'] == 'post') {
-            $page = $url_parts['scheme'] . '://' . $url_parts['host'] . $url_parts['path'];
+            $page = $url_parts['scheme'] . '://' . $url_parts['host'] .":$port". $url_parts['path'];
         } else {
             $page = $url;
         }
 
-        $ch = curl_init($url_parts['host']);
+        $ch = curl_init($page);
 
 	// added 04-28-08 EG set a timeout
 	if(isset($options['timeout']))
